// file_studio_setup_xml.h: Schnittstelle für die Klasse CDFFileStudioXML.
//
//////////////////////////////////////////////////////////////////////
#pragma once
#ifndef FILE_STUDIO_SETUP_XML_H
#define FILE_STUDIO_SETUP_XML_H

// Itemklasse einbinden
#include "interface/dfitem/dfitems.h"
// Fehlercodes einbinden
#include "common/error_defines.h"

class CDFFileStudioXML : public FileStudio  
{
public:
    CDFFileStudioXML();
    virtual ~CDFFileStudioXML();

public:
    int Modify( const char *data, int *piError );

protected:
    void Reset();
    int Extract( const char *elementPathParam, TiXmlElement *element, CModifyData &modifyData );

protected:
    TiXmlDocument m_doc;
    std::string m_errorText;
};

#endif
